RTEMS: m8260_ Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
m8260_ Struct Reference

## Data Fields
uint8_t | dpram1 [16384]
uint8_t | cpm_pad0 [16384]
m8260SCCparms_t | scc1p
uint8_t | pad_scc1 [256-sizeof(m8260SCCparms_t)]
m8260SCCparms_t | scc2p
uint8_t | pad_scc2 [256-sizeof(m8260SCCparms_t)]
m8260SCCparms_t | scc3p
uint8_t | pad_scc3 [256-sizeof(m8260SCCparms_t)]
m8260SCCparms_t | scc4p
uint8_t | pad_scc4 [256-sizeof(m8260SCCparms_t)]
m8260FCCparms_t | fcc1p
uint8_t | pad_fcc1 [256-sizeof(m8260FCCparms_t)]
m8260FCCparms_t | fcc2p
uint8_t | pad_fcc2 [256-sizeof(m8260FCCparms_t)]
m8260FCCparms_t | fcc3p
uint8_t | pad_fcc3 [256-sizeof(m8260FCCparms_t)]
uint8_t | mcc1p [128]
uint8_t | pad_mcc1 [124]
uint16_t | smc1_base
uint16_t | idma1_base
uint8_t | mcc2p [128]
uint8_t | pad_mcc2 [124]
uint16_t | smc2_base
uint16_t | idma2_base
uint8_t | pad_spi [252]
uint16_t | spi_base
uint16_t | idma3_base
uint8_t | pad_risc [224]
uint8_t | risc_timers [16]
uint16_t | rev_num
uint16_t | cpm_pad7
uint32_t | cpm_pad8
uint16_t | rand
uint16_t | i2c_base
uint16_t | idma4_base
uint8_t | cpm_pad9 [1282]
uint8_t | cpm_pad1 [8192]
m8260SMCparms_t | smc1p
m8260SMCparms_t | smc2p
uint8_t | dpram3 [4096-2 *sizeof(m8260SMCparms_t)]
uint8_t | cpm_pad2 [16384]
uint32_t | siumcr
uint32_t | sypcr
uint8_t | siu_pad0 [6]
uint16_t | swsr
uint8_t | siu_pad1 [20]
uint32_t | bcr
uint8_t | ppc_acr
uint8_t | siu_pad4 [3]
uint32_t | ppc_alrh
uint32_t | ppc_alr1
uint8_t | lcl_acr
uint8_t | siu_pad5 [3]
uint32_t | lcl_alrh
uint32_t | lcl_alr1
uint32_t | tescr1
uint32_t | tescr2
uint32_t | l_tescr1
uint32_t | l_tescr2
uint32_t | pdtea
uint8_t | pdtem
uint8_t | siu_pad2 [3]
uint32_t | ldtea
uint8_t | ldtem
uint8_t | siu_pad3 [163]
m8260MEMCRegisters_t | memc [12]
uint8_t | mem_pad0 [8]
uint32_t | mar
uint8_t | mem_pad1 [4]
uint32_t | mamr
uint32_t | mbmr
uint32_t | mcmr
uint32_t | mdmr
uint8_t | mem_pad2 [4]
uint16_t | mptpr
uint8_t | mem_pad5 [2]
uint32_t | mdr
uint8_t | mem_pad3 [4]
uint32_t | psdmr
uint32_t | lsdmr
uint8_t | purt
uint8_t | mem_pad6 [3]
uint8_t | psrt
uint8_t | mem_pad7 [3]
uint8_t | lurt
uint8_t | mem_pad8 [3]
uint8_t | lsrt
uint8_t | mem_pad9 [3]
uint32_t | immr
uint8_t | mem_pad4 [84]
uint8_t | sit_pad0 [32]
uint16_t | tmcntsc
uint8_t | sit_pad6 [2]
uint32_t | tmcnt
uint32_t | tmcntsec
uint32_t | tmcntal
uint8_t | sit_pad2 [16]
uint16_t | piscr
uint8_t | sit_pad5 [2]
uint32_t | pitc
uint32_t | pitr
uint8_t | sit_pad3 [94]
uint8_t | sit_pad4 [2390]
uint16_t | sicr
uint8_t | ict_pad1 [2]
uint32_t | sivec
uint32_t | sipnr_h
uint32_t | sipnr_l
uint32_t | siprr
uint32_t | scprr_h
uint32_t | scprr_l
uint32_t | simr_h
uint32_t | simr_l
uint32_t | siexr
uint8_t | ict_pad0 [88]
uint32_t | sccr
uint8_t | clr_pad1 [4]
uint32_t | scmr
uint8_t | clr_pad2 [4]
uint32_t | rsr
uint32_t | rmr
uint8_t | clr_pad0 [104]
uint32_t | pdira
uint32_t | ppara
uint32_t | psora
uint32_t | podra
uint32_t | pdata
uint8_t | iop_pad0 [12]
uint32_t | pdirb
uint32_t | pparb
uint32_t | psorb
uint32_t | podrb
uint32_t | pdatb
uint8_t | iop_pad1 [12]
uint32_t | pdirc
uint32_t | pparc
uint32_t | psorc
uint32_t | podrc
uint32_t | pdatc
uint8_t | iop_pad2 [12]
uint32_t | pdird
uint32_t | ppard
uint32_t | psord
uint32_t | podrd
uint32_t | pdatd
uint8_t | iop_pad3 [12]
uint8_t | tgcr1
uint8_t | cpt_pad0 [3]
uint8_t | tgcr2
uint8_t | cpt_pad1 [11]
uint16_t | tmr1
uint16_t | tmr2
uint16_t | trr1
uint16_t | trr2
uint16_t | tcr1
uint16_t | tcr2
uint16_t | tcn1
uint16_t | tcn2
uint16_t | tmr3
uint16_t | tmr4
uint16_t | trr3
uint16_t | trr4
uint16_t | tcr3
uint16_t | tcr4
uint16_t | tcn3
uint16_t | tcn4
uint16_t | ter1
uint16_t | ter2
uint16_t | ter3
uint16_t | ter4
uint8_t | cpt_pad2 [608]
uint8_t | sdsr
uint8_t | dma_pad0 [3]
uint8_t | sdmr
uint8_t | dma_pad1 [3]
uint8_t | idsr1
uint8_t | dma_pad2 [3]
uint8_t | idmr1
uint8_t | dma_pad3 [3]
uint8_t | idsr2
uint8_t | dma_pad4 [3]
uint8_t | idmr2
uint8_t | dma_pad5 [3]
uint8_t | idsr3
uint8_t | dma_pad6 [3]
uint8_t | idmr3
uint8_t | dma_pad7 [3]
uint8_t | idsr4
uint8_t | dma_pad8 [3]
uint8_t | idmr4
uint8_t | dma_pad9 [707]
m8260FCCRegisters_t | fcc1
m8260FCCRegisters_t | fcc2
m8260FCCRegisters_t | fcc3
uint8_t | fcc_pad0 [656]
uint32_t | brgc5
uint32_t | brgc6
uint32_t | brgc7
uint32_t | brgc8
uint8_t | brg_pad0 [608]
uint8_t | i2mod
uint8_t | i2m_pad0 [3]
uint8_t | i2add
uint8_t | i2m_pad1 [3]
uint8_t | i2brg
uint8_t | i2m_pad2 [3]
uint8_t | i2com
uint8_t | i2m_pad3 [3]
uint8_t | i2cer
uint8_t | i2m_pad4 [3]
uint8_t | i2cmr
uint8_t | i2m_pad5 [331]
uint32_t | cpcr
uint32_t | rccr
uint8_t | cpm_pad3 [14]
uint16_t | rter
uint8_t | cpm_pad [2]
uint16_t | rtmr
uint16_t | rtscr
uint8_t | cpm_pad4 [2]
uint32_t | rtsr
uint8_t | cpm_pad5 [12]
uint32_t | brgc1
uint32_t | brgc2
uint32_t | brgc3
uint32_t | brgc4
m8260SCCRegisters_t | scc1
m8260SCCRegisters_t | scc2
m8260SCCRegisters_t | scc3
m8260SCCRegisters_t | scc4
m8260SMCRegisters_t | smc1
m8260SMCRegisters_t | smc2
uint16_t | spmode
uint8_t | spi_pad0 [4]
uint8_t | spie
uint8_t | spi_pad1 [3]
uint8_t | spim
uint8_t | spi_pad2 [2]
uint8_t | spcom
uint8_t | spi_pad3 [82]
uint8_t | cmxsi1cr
uint8_t | cmx_pad0 [1]
uint8_t | cmxsi2cr
uint8_t | cmx_pad1 [1]
uint32_t | cmxfcr
uint32_t | cmxscr
uint8_t | cmxsmr
uint8_t | cmx_pad2 [1]
uint16_t | cmxuar
uint8_t | cmx_pad3 [16]
m8260SIRegisters_t | si1
m8260MCCRegisters_t | mcc1
m8260SIRegisters_t | si2
m8260MCCRegisters_t | mcc2
uint8_t | mcc_pad0 [1152]
uint8_t | si1txram [512]
uint8_t | ram_pad0 [512]
uint8_t | si1rxram [512]
uint8_t | ram_pad1 [512]
uint8_t | si2txram [512]
uint8_t | ram_pad2 [512]
uint8_t | si2rxram [512]
uint8_t | ram_pad3 [512]

The documentation for this struct was generated from the following file:

- bsps/powerpc/include/mpc8260.h